<?

//------------------------------------------
// These are the standard snippets.. If you feel like adding, do so in snippets.php
//------------------------------------------


function snippet_include ($filename) {

	$filename="../$filename";

	if (file_exists($filename)) {

		//echo "file: $filename<br>\n";
		$file=implode("", file("$filename"));
	} else {
		$file="<!-- error: could not include $filename. File does not exist -->";
	}

	return $file;

}


function snippet_includehtml ($filename) {

	$filename="../$filename";

	if (file_exists($filename)) {

		//echo "file: $filename<br>\n";
		$file=implode("", file("$filename"));
	} else {
		$file="<!-- error: could not include $filename. File does not exist -->";
	}

	return "<mode=literal><mode=nobr>".$file."<mode=br><mode=escaped>";

}

function snippet_nobr() {
	
	return "<mode=literal><mode=nobr>";
	
}

function snippet_slashnobr() {
	
	return "<mode=br><mode=escaped>";
}

function snippet_image ($filename, $align="", $alt="", $border=0) {
	global $global_pref;

	if (file_exists("../".$filename)) {

		$filename=$global_pref['log_url'].$filename;

		if (($align=="") || ($align=="center")) {
			$code="<center><img src=\"$filename\" border=\"$border\" alt=\"$alt\" title=\"$alt\" /></center>";
		} else if ($align=="left") {
			$code="<img src=\"$filename\" align=\"left\" style='margin-right:10px; margin-bottom:5px;' border=\"$border\" alt=\"$alt\" title=\"$alt\" />";
		} else if ($align=="right") {
			$code="<img src=\"$filename\" align=\"right\" style='margin-left:10px; margin-bottom:5px;' border=\"$border\" alt=\"$alt\" title=\"$alt\" />";
		} else if ($align=="inline") {
			$code="<img src=\"$filename\" border=\"$border\" title=\"$alt\" />";
		}
		
		
	} else {
		$code="<!-- error: could not display image $filename. File does not exist -->";
	}

	return $code;

}


function snippet_link ($filename, $name) {
	
	$ext=getextension($filename);

	if ( ($ext=="doc")||($ext=="pdf")||($ext=="txt")||($ext=="ppt")||($ext=="pot")||($ext=="xls")||($ext=="mdb") ) {
		$target=" target='_blank'";
	} else {
		$target="";
	}
	debug("include: $filename");
	if (file_exists("../".$filename)) {
		$code = "<a href=\"$filename\" $target>$name</a>";
	} else {
		$code="<!-- error: could not link to $filename. File does not exist -->";
	}

	return $code;
}



function snippet_popup ($file, $name,  $alt="", $border="") {
	global	$global_pref;

	if ($border=="") { $border=1; }

	if (file_exists("../".$name)) {
		$ext=getextension("../".$name);
		if ( ($ext=="jpg")||($ext=="gif")||($ext=="png") ) {
			$name="<img src=\"$name\" border=\"$border\" alt=\"$alt\" title=\"$alt\" />";
		}
	}
	
	if (file_exists("../".$file)) {
		list($width,$height)=GetImageSize("../".$file);

		$file=$global_pref['log_url'].$file;
		$url=sprintf($global_pref['pivot_url']."/extra/photo.php?img=%s&w=%s&h=%s&t=%s",$file, $width, $height, safestring($name)); 

		$code = sprintf("<a href='#' onmouseover=\"window.status='(popup)';return true;\" onmouseout=\"window.status='';return true;\" onclick=\"window.open('%s','imagewindow','width=%s,height=%s,directories=no,location=no,menubar=no,scrollbars=no,status=no,toolbar=no,resizable=no');return false\" target='_self'>%s</a>", $url, $width, $height, $name);

	} else {
		$code="<!-- error: could not popup $file. File does not exist -->";
	}

	return $code;
}




function snippet_lower($text) {

	return strtolower($text);

}



function snippet_weblogtitle() {
	global $db;

	$output=$db->globals['title'];
	return $output;
}


function snippet_weblogsubtitle() {
	global $db;

	$output=$db->globals['subtitle'];
	return $output;
}


function snippet_archivetitle() {
	global $db;

	$output=$db->globals['title'];
	return $output;
}


function snippet_archivesubtitle() {
	global $db;

	$output=$db->globals['subtitle'];
	return $output;
}


function snippet_link_list() {

	return "[[include:link_list.html]]";
}


function snippet_archive_list() {

	return "[[include:archive_list.html]]";
}


function snippet_weblog ($cat="", $count="") {
	global $db;

	if ($cat!="") { $cat="category=\"$cat\""; }
	if ($count!="") { $count="showme=\"$count\""; }

	if ($db->globals['entries_on_frontpage']>0) {
		$showme=$db->globals['entries_on_frontpage'];
	} else {
		$showme=10;
	}

	$output="<cms weblog nodes=\"lower\" order=\"lasttofirst\" $cat $count></cms>";
	return $output;
}

function snippet_archive ($cat="") {

	if ($cat!="") { $cat="category=\"$cat\""; }
	$output="<cms archive $cat></cms>";

	return $output;
}

function snippet_pivotbutton() {
	global $global_pref;

	return '<a href="http://www.mijnkopthee.nl/pivot/"><img src="'.$global_pref['pivot_dir'].'pics/pivot-banner_nl120a.gif" width="120" height="45" alt="pivot" border="0" /></a> ';
}

function snippet_code() {
	global $db;

	$output=$db->entry['code'];
	
	return $output;
}


function snippet_uid() {
	global $db;

	$output=$db->entry['id'];

	return $output;
}


function snippet_title() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms title></cms>';
	} else {
		$output='%title%';
	}

	return $output;
}


function snippet_introduction($strip="") {
	global $db, $db_temp;

//	if (isset($db_temp)) {
//		return $db_temp->entry['introduction'];
//	}

	if ($db->entry['filename']!='ROOT') {
		$output="<cms introduction$strip></cms>";
	} else {
		if ($strip=="strip") {
			$output="%introduction-strip%";
		} else {
			$output="%introduction%";
		}
	}
  	return $output;
}


function snippet_body() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms body></cms>';
	} else {
		$output='%body%';
	}

	return $output;
}


function snippet_date() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms date></cms>';
	} else {
		$output='%date%';
	}
	return $output;
}


function snippet_diffdate() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms date></cms>';
	} else {
		$output='%diffdate%';
	}

	return $output;
}


function snippet_nick() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms nick></cms>';
	} else {
		$output='%nick%';
	}

	return $output;
}


function snippet_category() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output=$db->entry['category'];
	} else {
		$output='%category%';
	}

	return $output;
}

function snippet_email() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms email></cms>';
	} else {
		$output='%email%';
	}

	return $output;
}

function snippet_email_to_nick() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms emailtonick></cms>';
	} else {
		$output='%emailtonick%';
	}

	return $output;
}




function snippet_more() {
	global $db;

	if ($db->entry['filename']!='ROOT') {
		$output='<cms more></cms>';
	} else {
		$output='%more%';
	}

	return $output;
}


function snippet_comments() {
	global $db;
	
	$output='<cms comments entrydate="%day%.%month%.%ye%, %hour24%:%minute%"><P><SPAN class=entry>%comment%</span><SPAN class=linkstuff><b>%name%</b> %email% %url% - %date%</span></p></cms>';
	
	return $output;
}

function snippet_commentform() {
	global $global_pref, $REMOTE_ADDR;

	if (!(ip_check_block($REMOTE_ADDR))) {
		$output='<a name="#comments"></a><a name="#bottom"></a><cms include file="templates/commentform.html" default=""></cms>';
	} else {
		$output ="";
	}

	return $output;
	
}

function snippet_archivenext($text="") {
	global $archive_numbered, $arc_count, $global_pref;

	$output="";

	if ($text=="") {
		$text=(isset($global_pref['archivenext'])) ? $global_pref['archivenext'] : "next archive";
	}
	
	if (isset($archive_numbered[($arc_count+1)])) {
		$file=str_replace("%1",$archive_numbered[($arc_count+1)],$global_pref['archive_format']);
		$output="<a href='$file' target='_self'>$text</a>";
	}

	return $output;

}

function snippet_archiveprevious($text="") {
	global $archive_numbered, $arc_count, $global_pref;

	$output="";

	if ($text=="") {
		$text=(isset($global_pref['archiveprevious'])) ? $global_pref['archiveprevious'] : "previous archive";
	}

	if (isset($archive_numbered[($arc_count-1)])) {
		$file=str_replace("%1",$archive_numbered[($arc_count-1)],$global_pref['archive_format']);
		$output="<a href='$file' target='_self'>$text</a>";
	//} else {
	//	$output="laatste";
	}

	return $output;
}

function snippet_nextentry($text="") {
	global $db, $global_pref;

	$next_code=$db->get_next_code();
	
	if ($text=="") {
		$text=(isset($global_pref['entrynext'])) ? $global_pref['entrynext'] : "next: <a href='%link%'>%title%</a>";
	}

	if ($next_code) {
		$title=$db->get_next_title();
		$link=$db->set_url($next_code);
		$output="$text";
		$output=str_replace("%link%", $link, $output);
		$output=str_replace("%code%", $db->entry['code'], $output);
		$output=str_replace("%title%", $title, $output);
		return $output;
	} else {
		return "";
	}

}


function snippet_previousentry($text="") {
	global $db, $global_pref;

	$prev_code=$db->get_previous_code();
	
	if ($text=="") {
		$text=(isset($global_pref['entryprevious'])) ? $global_pref['entryprevious'] : "previous: <a href='%link%'>%title%</a>";
	}


	if ($prev_code) {
		$title=$db->get_previous_title();
		$link=$db->set_url($prev_code);	
		$output="$text";
		$output=str_replace("%link%", $link, $output);
		$output=str_replace("%code%", $db->entry['code'], $output);
		$output=str_replace("%title%", $title, $output);
		return $output;
	} else {
		return "";
	}

}

function snippet_rssbutton() {
	global $global_pref;

	$output="<a href='".$global_pref['rss']."'>";
	$output.="<img src='".$global_pref['pivot_dir']."pics/xml_button.gif' width='36' height='14' alt='XML' border='0' /></a>";

	return $output;
}

function snippet_last_comments() {
	global $global_pref, $db;

	if (!isset($global_pref['last_comments_format'])) {
		$global_pref['last_comments_format']="<a href='%url%' title='%date%: %comm%'><b>%name%</b>: %title%</a><br />";
	}
	if (!isset($global_pref['last_comments_trim'])) {
		$global_pref['last_comments_trim']=30;
	}
	if (!isset($global_pref['last_comments_count'])) {
		$global_pref['last_comments_count']=10;
	}

	if (!isset($global_pref['last_comments_comment_length'])) {
		$global_pref['last_comments_comment_length']=60;
	}


	$file = file("db/standard_lastcomments.php");

	$output="";

	$count=0;

	foreach ($file as $comment) {
		@list ($name, $date, $title, $id, $ip, $comm)= explode("|",$comment);
		if (!(ip_check_block(trim($ip)))) {
			if (strlen($name)>$global_pref['last_comments_trim']) {
				$name=substr($name,0,$global_pref['last_comments_trim'])."..";
			}
			if (strlen($title)>$global_pref['last_comments_trim']) {
				$title=substr($title,0,$global_pref['last_comments_trim'])."..";
			}
			
			if (strlen($comm)>$global_pref['last_comments_comment_length']) {
				$comm=substr($comm,0,$global_pref['last_comments_comment_length'])."..";
			}
			

			if ($global_pref['live_comments']) {
				$url=$global_pref['pivot_url']."entry.php?uid=$id";
			} else {
				$url=$db->make_filename($id);
			}

			if ($db->globals['popups']==TRUE) {
		
				$popup= sprintf("onclick=\"window.open('%s', 'popuplink', 'width=%s,height=%s,directories=no,location=no,scrollbars=yes,menubar=no,status=yes,toolbar=no,resizable=yes'); return false\"", $url, $db->globals['popup-width'], $db->globals['popup-height']);
			} else {
				$popup="";
			}

			// <a href='%url%' onclick="window.open('/pivot/pivot/entry.php?uid=standard-136#comm', 'popuplink', 'width=450,height=450,directories=no,location=no,scrollbars=yes,menubar=no,status=yes,toolbar=no,resizable=yes'); return false"title="sdfsd" target="_self">Only one comment</a>

//			if ($db->globals(

			$thisline=$global_pref['last_comments_format'];
			$thisline=str_replace("%name%", $name, $thisline);
			$thisline=str_replace("%date%", $date, $thisline);
			$thisline=str_replace("%title%", $title, $thisline);
			$thisline=str_replace("%url%", $url, $thisline);
			$thisline=str_replace("%popup%", $popup, $thisline);
			$thisline=str_replace("%comm%", $comm, $thisline);

			$output.= $thisline;

			$count++;
			if ($count>=$global_pref['last_comments_count']) { 
				return $output; 
			}
		}
	}

	return $output;
}

function snippet_emotpopup($title) {
	global $global_pref, $db;

	if ($global_pref['emoticons']) {

		$url=$global_pref['pivot_url']."extra/emoticons.html"; 
		$onclick="window.open('$url','emot','width=264,height=234,directories=no,location=no,menubar=no,scrollbars=no,status=yes,toolbar=no,resizable=no');return false";
		$output="<a href='#' \n\nonmouseover=\"window.status='(Emoticons Reference)';return true;\"  \n\nonmouseout=\"window.status='';return true;\" \n\ntitle='Open Emoticons Reference' \n\nonclick=\"$onclick\"\n\n>$title</a>";

	} else {
		$output="";
	}

	return $output;

}

function snippet_wastecomment() {

	$output="<input type='button'  style='border: 1px inset black;' value='Waste comment!' onclick=\"this.form.target='_blank'; this.form.action='http://ubique.ch/weblog/waste.pl'; this.form.submit(); if(!document.layers)location.reload()\"> ";

	return $output;

}

function snippet_singlepermalink($text, $title) {
	global $db, $db_temp, $global_pref;

	if ($global_pref['live_comments']) {
		$link=$global_pref['pivot_url']."entry.php?uid=".$db_temp->entry['id']."#comm";
	} else {
		$link=$db->make_filename($db_temp->entry['id']);
	}

	if (isset($db_temp)) {
		if ($text=="%title%") { $text=$db_temp->entry['title']; }
		$code = sprintf("<a href=\"%s%s\" title=\"%s\">%s</a>", $global_pref['ssi_prefix'], $link, $title,$text);
		return $code;
	} else {
		return FALSE;
	}


}

function snippet_permalink($text, $title) {
	global $db, $db_temp, $global_pref;

	if (isset($db_temp)) {
		$link=get_archive_name($db_temp->entry['date'])."#".$db_temp->entry['id'];
		$code=sprintf("<a href=\"%s%s\" title=\"%s\">%s</a>", $global_pref['ssi_prefix'], $link, $title,$text);
		return $code;
	} else {
		return FALSE;
	}
}


function snippet_commentlink() {
	global $db, $db_temp, $global_pref;

	if ($global_pref['live_comments']) {
		$link=$global_pref['pivot_url']."entry.php?uid=".$db_temp->entry['id']."#comm";
	} else {
		$link=$db->make_filename($db_temp->entry['id']);
	}

	//debug("link: ".$link);

	$commcount=$db_temp->entry['commcount_str'];
	$commnames=$db_temp->entry['commnames'];
	if ($commcount=="") { $commcount="(undefined)"; }

	if ($db->globals['popups']==TRUE) {
		
		$output = sprintf("<a href='%s' ", $link);
		$output.= sprintf("onclick=\"window.open('%s', 'popuplink', 'width=%s,height=%s,directories=no,location=no,scrollbars=yes,menubar=no,status=yes,toolbar=no,resizable=yes'); return false\"", $link, $db->globals['popup-width'], $db->globals['popup-height']);
		$output.= sprintf("title=\"%s\" target=\"_self\">%s</a>",$commnames, $commcount);
		
	
	} else {

		$output=sprintf("<a href=\"%s\" title=\"%s\">%s</a>", $link, $commnames, $commcount);

	}

	return $output;
}


function snippet_home() {
	global $global_pref;

	$home=$global_pref['log_url'].$global_pref['index'];

	return $home;

}

function snippet_top() {
	global $db, $global_pref;

	if ($global_pref['live_comments']) {
		$link=$global_pref['pivot_url']."entry.php?uid=".$db->entry['id']."#top";
	} else {
		$link=$db->make_filename($db_temp->entry['id'])."#top";
	}

	return $link;

}

function snippet_show_referrers() {
	global $global_pref;

	$ext = strtolower(getextension($global_pref['index']));
	if ( ($ext=="php") || ($ext=="php3") ) {

		$output="<?php \$pivot_dir='".$global_pref['pivot_dir']."'; ";
		$output.="include_once '".$global_pref['pivot_dir']."extra/printref.inc.php'; ?>";

	} else {

		$output="<!-- this template tag only works when your frontpage has a .php extension -->";

	}

	return $output;

}


function snippet_get_referrer() {
	global $global_pref;

	$ext = strtolower(getextension($global_pref['index']));
	if ( ($ext=="php") || ($ext=="php3") ) {

		$output="<?php \$pivot_dir='".$global_pref['pivot_dir']."'; ";
		$output.="include_once '".$global_pref['pivot_dir']."extra/getref.inc.php'; ?>";

	} else {
		$output="<!-- this template tag only works when your frontpage has a .php extension -->";

	}


	return $output;

}

function snippet_get_referrers() {

	// an alias for snippet_get_referrer

	return snippet_get_referrer();

}

function snippet_template_dir() {
	global $global_pref;

	//debug("pivdir: ".$global_pref['pivot_dir']);

	return $global_pref['pivot_dir']."templates/";

}

function snippet_pivot_dir() {
	global $global_pref;

	//debug("pivdir: ".$global_pref['pivot_dir']);

	return $global_pref['pivot_dir'];

}


function snippet_link_static($titel, $naam) {
 global $global_pref;
 
 $filename="db/static/".$naam.".htm";
 
 if (file_exists($filename)) {
 
  $linkname=str_replace("%1",$naam,$global_pref['file_format']);
  $file="<a href=$linkname>$titel</a>";
 } else {
  $file="<!-- error: could not link $filename. File does not exist -->";
 }
 
 return $file;
}
 
function snippet_static($titel) {
 global $global_pref;
 
 
 $filename="db/static/".$titel.".htm";
 
 if (file_exists($filename)) {

  $file=implode("", file("$filename"));
 } else {
  $file="<!-- error: could not include $filename. File does not exist -->";
 }
 
 return $file;
 
}

?>
