<?
// include config file and check whether user is
// logged in, if it's required`

$skip_login="yes";

include_once "config.inc.php";
include_once "common.php";
include_once "module_parser.php";
include_once "module_ipblock.php";

// functions
function generate_last_comments() {
	global $global_pref, $db, $PIV_PARA, $tempcomm, $ip, $date;

	$title=$db->entry['title'];
	$id=$db->set_id();
	$file = file("db/standard_lastcomments.php");

	$fp=fopen("db/standard_lastcomments.php", "w");

	$comm=strip_tags($tempcomm['comment']);
	$comm=ereg_replace("[^-a-zA-Z0-9_.,!? ]", "", $comm);
	$comm=substr($comm,0,100);

	fwrite($fp, sprintf("%s|%s|%s|%s|%s|%s\n", $PIV_PARA['f_comm_name'], $date,  $title, $id , $ip, $comm));

	for ($i=0;$i<30;$i++) {
		if (isset($file[$i])) {
			fwrite($fp, $file[$i]);
		}
	}
}

function send_mail() {

	global $global_pref, $db, $PIV_PARA, $tempcomm, $ip, $date;

	debug ("send mail");

	// maybe send some email..
	if (($global_pref['comment_sendmail']==1)&&(!isset($PIV_PARA['f_comm_ip']))) {

		// make a nice title for the mail..
		if (strlen($db->entry['title'])>2) {
			$title=$db->entry['title'];
		} else {
			$title=substr($db->entry['introduction'],0,300);
			$title=strip_tags($title);
			$title=str_replace("\n","",$title);
			$title=str_replace("\r","",$title);
			$title=substr($title,0,60);
		}	
		
		$body=sprintf("Name of poster: %s\n", $PIV_PARA['f_comm_name']);
		$body.=sprintf("Date Posted: %s\n", $date);
		$body.=sprintf("Email Address: %s\n", $PIV_PARA['f_comm_email']);
		$body.=sprintf("URL: %s\n", $PIV_PARA['f_comm_url']);
		$body.=sprintf("IP-address: %s\n", $ip);
		$body.=sprintf("\n\nComment: \n--------------------------\n");
		$body.=sprintf("%s\n", $tempcomm['comment']);
		$body.=sprintf("\n--------------------------\n\n");
		$body.=sprintf("This is a comment on %s\n", $title);
		$body.=sprintf("To see the comment in your browser, click below:\n%s\n", $db->set_url($PIV_PARA['f_comm_code']));
		if (isemail($PIV_PARA['f_comm_email'])) {
			$add_header=sprintf("From: \"%s\" <%s>\n", $PIV_PARA['f_comm_name'], $PIV_PARA['f_comm_email']);
		} else {
			$add_header=sprintf("From: \"(%s)\" < >\n", $PIV_PARA['f_comm_name']);
		}
		mail($global_pref['comment_emailto'], "Comment on '".$PIV_PARA['f_comm_code']."' by ".$PIV_PARA['f_comm_name']."($title)", $body, $add_header);
		//debug("body: ".$body);
		//debug("mailto: ".$global_pref['comment_emailto']." - Comment on '".$PIV_PARA['f_comm_code']."' by ".$PIV_PARA['f_comm_name']."($title)");
	}
}


// if updating, we should check if we're logged in.
if ( (isset($PIV_PARA['f_number'])) && ($user['name']=="") ) {
	redirect("index.php?m=You%20are%20not%20Authenticated"); 
}



$ip=$HTTP_SERVER_VARS['REMOTE_ADDR'];
$date=$current_date;

if (ip_check_block($ip)) {
	add_log("Blocked user from $ip tried to comment");
	piv_error("You are Blocked", "Your IP-address has been blocked, so you are not allowed to leave comments on this site. We know IP-adresses can easily be faked, but it helps. Have a nice day<br><br>Go <a href='javascript:history.go(-1)'>back</a> to the last page, and do something else.",0);
}

//echo "<pre>";
//print_r($HTTP_POST_VARS);
//echo "</pre>";

if (isset($PIV_PARA['f_comm_code'])) {
	$PIV_PARA['f_comm_code']=add_code_padding($PIV_PARA['f_comm_code']);
}

if (isset($PIV_PARA['preview'])) {

	$db = new db_xml('standard',FALSE);
	$file=$db->set_filename($PIV_PARA['f_comm_code']);
	$db->read_entry($file,FALSE);

	$tempcomm['name']= "<a name='preview'></a>".$PIV_PARA['f_comm_name'];
	$tempcomm['email']= $PIV_PARA['f_comm_email'];
	$tempcomm['url']= $PIV_PARA['f_comm_url'];
	$tempcomm['ip']= $ip;	
	$tempcomm['date']= $date;
	$tempcomm['comment']= stripslashes(trim($PIV_PARA['f_comm_comment']));
	$db->entry['comments'][]=$tempcomm;
	

	$output=generate_page("","live","");
	echo $output;

	@fill_comment_form($PIV_PARA['f_comm_name'],$tempcomm['email'], $tempcomm['url'], $PIV_PARA['cookie'], $tempcomm['comment']);


} else {


	if (($PIV_PARA['f_comm_name']=="")||($PIV_PARA['f_comm_comment']=="")) { 
		if ($PIV_PARA['f_comm_comment']=="") {
			piv_error("Error in 'comment'", "You should at least enter a name (or alias) and a comment. If you don't want to say anything, then why bother?<br><br>Go <a href='javascript:history.go(-1)'>back</a> and enter some text.", 0);
		} else {
			piv_error("Error in 'comment'", "You should at least enter a name (or alias) and a comment. Go <a href='javascript:history.go(-1)'>back</a> and enter your name (or an alias).", 0);
		}
	}  else {

		// Remember visitor, perhaps..

		//debug("cookie: $cookie");
		if ($PIV_PARA['cookie']=="yes") {
			setcookie("comm_name", $PIV_PARA['f_comm_name'], time()+2592000, "/");
			setcookie("comm_email", $PIV_PARA['f_comm_email'], time()+2592000, "/");
			setcookie("comm_url", $PIV_PARA['f_comm_url'], time()+2592000, "/");
			setcookie("comm_remember", "yes", time()+2592000, "/");

			//debug("cookie: ".$PIV_PARA['cookie']);
		} else {
			setcookie("comm_name", "", time()-1000, "/");
			setcookie("comm_email", "", time()-1000, "/");
			setcookie("comm_url", "", time()-1000, "/");
			setcookie("comm_remember", "", time()-1000, "/");

			//debug("geen cookie");
		}


		// First, we get update the entry..
		debug("update entry");
		$db = new db_xml('standard',FALSE);
		$file=$db->set_filename($PIV_PARA['f_comm_code']);
		$db->read_entry($file,FALSE);

		// Then, we add the submitted entry to the file.
		$tempcomm['name']=  $PIV_PARA['f_comm_name'];
		$tempcomm['email']= $PIV_PARA['f_comm_email'];
		$tempcomm['url']= $PIV_PARA['f_comm_url'];
		$tempcomm['ip']= $ip;

		if (isset($PIV_PARA['f_comm_ip'])) {
			$tempcomm['ip']= $PIV_PARA['f_comm_ip'];
		} else {
			$tempcomm['ip']= $ip;
		}

		if (isset($PIV_PARA['f_comm_date'])) {
			$tempcomm['date']= $PIV_PARA['f_comm_date'];
		} else {
			$tempcomm['date']= $date;
		}

		$tempcomm['comment']= stripslashes(trim($PIV_PARA['f_comm_comment']));

		//if ( (isset($global_pref['comment_wrap'])) && ($global_pref['comment_wrap']>0) ) {
		//	$tempcomm['comment']= wordwrap( $tempcomm['comment'], $global_pref['comment_wrap'], "\n", 1);
		//}



		if (isset($PIV_PARA['f_number'])) {
			$db->entry['comments'][$PIV_PARA['f_number']]=$tempcomm;
		} else {
			$db->entry['comments'][]=$tempcomm;
		}
		
		debug("save entry");
		//$db->print_entry();
		$db->savexml();
		$entry_filename=generate_page("","","");

		debug("generate comments");
		generate_last_comments("");

		debug("mail to: ".$db->set_url($PIV_PARA['f_comm_code']));

		// send mail, if $global_pref['comment_mail_before'] is set.
		if ($global_pref['comment_mail_before']) {
			send_mail();
		}

		// redirect back to the page we came from..
		if (isset($PIV_PARA['f_return'])) {
			debug("return");
			redirect($PIV_PARA['f_return']."?id=".$PIV_PARA['f_comm_code'], 0,0);
		} else {
			debug("geen return");
			if ($global_pref['live_comments']) {
				$link=$global_pref['pivot_url']."entry.php?uid=".$db->entry['id']."#comm";
			} else {
				$link=$db->make_filename($db->entry['id']);
			}
			redirect($link, 1,0);
		}


		// send mail, if $global_pref['comment_mail_before'] is not set.
		if (!$global_pref['comment_mail_before']) {
			send_mail();
		}

		// also generate the front-page:
		debug("gen front page");
		$file=$db->set_filename('standard');
		$db->read_entry($file,FALSE);
		$log_filename=generate_page("","","");
		debug("done");

	}

}









?>


</body>
</html>
